#pragma once

#include <SFML/Graphics.hpp>
#include "IEntity.hpp"

class Collider;

class Sand: public sf::Sprite, public IEntity {
public:
    Sand(Collider* collider);
    void update(float delta) override;
private:
    Collider* m_collider;
};
